# API error's namespace
module Epitech::Api::Errors

  # Top of the error tree
  class Epitech::Api::Errors::Base < RuntimeError
  end

  # Error thrown when a parameter is missing in the request
  class Epitech::Api::Errors::MissingParameters < Epitech::Api::Errors::Base
  end

  # Error thrown when the request ask for an unknown action
  class Epitech::Api::Errors::UnknownAction < Epitech::Api::Errors::Base
  end

  # Error thrown when using a bad login/password combination
  class Epitech::Api::Errors::AuthFail < Epitech::Api::Errors::Base
  end
end