module Epitech::Api::CheckApi
  # Check for a good login/password combination (those given to Epitech::Api::Connection.new)
  # @return [Boolean] True (Raise a Epitech::Api::Errors::AuthFail otherwise)
  def check_auth
    call_api(action: 'login')
    true
  end

  # Test if the parameter is an existing ionis login
  # @param login [String] The login to test
  def is_login?(login)
    json = call_api(action: 'is_login', login: login)
    return false if json['state'] != 'OK'
    true
  end

  # Test if the parameters are an existing login / PPP combination
  # @param login  [String] Login to test
  # @param pwd    [String] Password to test
  # @return       [Boolean]
  def check_password(login, pwd)
    json = call_api(action: 'check_password', login: login, password: pwd)
    return false if json['state'] != 'OK'
    true
  end
end