module Epitech::Api::InfoApi

  # Get a Ionis login from a UID
  # @param uid  [String, Integer] The UID to look for
  # @return     [String]          The corresponding login
  def get_login_from_uid(uid)
    call_api(action: 'get_login_from_uid', uid: uid)['login']
  end

  %w(uid name group school promo city plan phone).each do |request|
    class_eval %Q(def get_#{request}(login)
      call_api(action: "get_#{request}", login: login)['#{request}']
    end)
  end

  # Get all the infos about a Ionis login
  # Each information can be retrieved separately through the get_xxx method
  # example:
  #           connection.get_name('exampl_e')
  #           connection.get_uid('exampl_e')
  # @param login  [String]  The login to look for
  # @return       [Hash]    The corresponding infos
  def get_infos(login)
    call_api(action: 'get_infos', login: login)
  end
end