module Epitech::Api::SearchApi

  # Used to search across the Ionis users
  # @param query    [String]    First/Last Name or Login (or a part of it)
  #                             of who you are looking for.
  # @return         [Array]     An Array of logins
  def search(query)
    call_api(action: 'search', query: query)
  end

  # Used to search logins across the Ionis users through 3 criterias :
  # * Schoolname
  # * Promo
  # * City
  # @param  opts  [Hash]  A Hash that should contain at least one of the 3 criterias
  # @return       [Array] An Array of logins
  def get_logins(opts={})
    call_api(action: 'get_logins', school: opts[:school], promo: opts[:promo], city: opts[:city])
  end
end